Skip to main content
GET
/
v1
/
podcasts
/
segments
/
{id}
Get a segment
curl --request GET \
  --url https://api.particle.pro/v1/podcasts/segments/{id} \
  --header 'X-API-Key: <api-key>'
{
  "duration_seconds": 123,
  "end_seconds": 123,
  "id": "<string>",
  "number": 123,
  "start_seconds": 123,
  "title": "<string>",
  "type": "<string>",
  "audio_url": "<string>",
  "description": "<string>",
  "episode": {
    "id": "<string>",
    "title": "<string>",
    "podcast": {
      "id": "<string>",
      "title": "<string>",
      "image_url": "<string>",
      "slug": "<string>"
    },
    "published_at": "2023-11-07T05:31:56Z"
  },
  "summary": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Segment ID

Response

OK

duration_seconds
number<double>
required

Segment duration

end_seconds
number<double>
required

End time within the episode

id
string
required

Unique identifier

number
integer<int64>
required

Segment position within the episode

start_seconds
number<double>
required

Start time within the episode

title
string
required

AI-generated segment title

type
string
required

Segment type (INTRO, PERSONAL_BANTER, TOPIC_DISCUSSION, INTERVIEW, TRANSITION, AD, OUTRO)

audio_url
string

Direct audio URL for this segment

description
string

AI-generated segment description

episode
object

Parent episode with podcast context

summary
string

AI-generated segment summary